Subject: Failing network operations set state despite API error return value

Description

To reproduce: try to destroy a private network with machines still connected to it.

The state turns to "Destroying..." although an API error value is returned to the user.

History

#1 - 11/01/2012 07:41 pm - Kostas Papadimitriou

- Status changed from Assigned to Feedback

Cannot reproduce. Destroying private network (action which is prohibited unless UI_NETWORK_STRICT_DESTROY setting is set to False) returns

"Machines are connected to network." API Error.

Testing on latest ui-0.11 branch

#2 - 11/02/2012 01:21 am - Vangelis Koukis

- Status changed from Feedback to Assigned

Hadn't made it clear enough: Yes, the API operation fails with exactly this API error, but then the private network is shown as "Destroying", even though the

API request failed. One would expect the network to be changed to "Destroying..." only if the API request had been successful.

Didn't know about the setting, although [if the problem actually exists] it doesn't really matter: It should be reproducible by having DELETE /network/id

requests fail unconditionally.

#3 - 11/08/2012 03:39 pm - Kostas Papadimitriou

- Status changed from Assigned to Feedback

fixed in commit:c6f9918c5ded5592081f64fa3811aa9998ccbe17

#4 - 11/13/2012 03:37 pm - Vangelis Koukis

- Status changed from Feedback to Closed

Closing ticket.
